VTK: vtkInformationIdTypeKey Class Reference

| VTK 9.0.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkInformationIdTypeKey Class Reference

Key for vtkIdType values in vtkInformation. More...

`#include <vtkInformationIdTypeKey.h>`

Inheritance diagram for vtkInformationIdTypeKey:
[legend]
Collaboration diagram for vtkInformationIdTypeKey:
[legend]

## Public Types
typedef vtkInformationKey | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkInformationIdTypeKey * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
| vtkInformationIdTypeKey (const char *name, const char *location)
| ~vtkInformationIdTypeKey () override
void | Set (vtkInformation *info, vtkIdType)
| Get/Set the value associated with this key in the given information object. More...
vtkIdType | Get (vtkInformation *info)
void | ShallowCopy (vtkInformation *from, vtkInformation *to) override
| Copy the entry associated with this key from one information object to another. More...
void | Print (ostream &os, vtkInformation *info) override
| Print the key's value in an information object to a stream. More...
Public Member Functions inherited from vtkInformationKey
| vtkBaseTypeMacro (vtkInformationKey, vtkObjectBase)
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Register (vtkObjectBase *) override
| Prevent normal vtkObject reference counting behavior. More...
void | UnRegister (vtkObjectBase *) override
| Prevent normal vtkObject reference counting behavior. More...
const char * | GetName ()
| Get the name of the key. More...
const char * | GetLocation ()
| Get the location of the key. More...
| vtkInformationKey (const char *name, const char *location)
| Key instances are static data that need to be created and destroyed. More...
| ~vtkInformationKey () override
virtual void | DeepCopy (vtkInformation *from, vtkInformation *to)
| Duplicate (new instance created) the entry associated with this key from one information object to another (new instances of any contained vtkInformation and vtkInformationVector objects are created). More...
virtual int | Has (vtkInformation *info)
| Check whether this key appears in the given information object. More...
virtual void | Remove (vtkInformation *info)
| Remove this key from the given information object. More...
virtual void | Report (vtkInformation *info, vtkGarbageCollector *collector)
| Report a reference this key has in the given information object. More...
void | Print (vtkInformation *info)
| Print the key's value in an information object to a stream. More...
virtual bool | NeedToExecute (vtkInformation *vtkNotUsed(pipelineInfo), vtkInformation *vtkNotUsed(dobjInfo))
| This function is only relevant when the pertaining key is used in a VTK pipeline. More...
virtual void | StoreMetaData (vtkInformation *vtkNotUsed(request), vtkInformation *vtkNotUsed(pipelineInfo), vtkInformation *vtkNotUsed(dobjInfo))
| This function is only relevant when the pertaining key is used in a VTK pipeline. More...
virtual void | CopyDefaultInformation (vtkInformation *vtkNotUsed(request), vtkInformation *vtkNotUsed(fromInfo), vtkInformation *vtkNotUsed(toInfo))
| This function is only relevant when the pertaining key is used in a VTK pipeline. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
void | PrintRevisions (ostream &)
| Legacy. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInformationIdTypeKey * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIdTypeKey * | MakeKey (const char *name, const char *location)
| This method simply returns a new vtkInformationIdTypeKey, given a name and a location. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
vtkIdType * | GetWatchAddress (vtkInformation *info)
| Get the address at which the actual value is stored. More...
Protected Member Functions inherited from vtkInformationKey
| vtkInformationKeySetStringMacro (Name)
| vtkInformationKeySetStringMacro (Location)
void | SetAsObjectBase (vtkInformation *info, vtkObjectBase *value)
const vtkObjectBase * | GetAsObjectBase (vtkInformation *info) const
vtkObjectBase * | GetAsObjectBase (vtkInformation *info)
void | ReportAsObjectBase (vtkInformation *info, vtkGarbageCollector *collector)
void | ConstructClass (const char *)
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | CollectRevisions (ostream &)
virtual void | RegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Protected Attributes inherited from vtkInformationKey
char * | Name
char * | Location
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

Key for vtkIdType values in vtkInformation.

vtkInformationIdTypeKey is used to represent keys for vtkIdType values in vtkInformation.

Definition at line 31 of file vtkInformationIdTypeKey.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkInformationKey vtkInformationIdTypeKey::Superclass

Definition at line 34 of file vtkInformationIdTypeKey.h.

## Constructor & Destructor Documentation

## ◆ vtkInformationIdTypeKey()

vtkInformationIdTypeKey::vtkInformationIdTypeKey | ( | const char * | name,
|  | const char * | location
| ) |  |

## ◆ ~vtkInformationIdTypeKey()

vtkInformationIdTypeKey::~vtkInformationIdTypeKey | ( |  | ) |
| override

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkInformationIdTypeKey::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkInformationIdTypeKey::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkInformationIdTypeKey* vtkInformationIdTypeKey::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkInformationIdTypeKey::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkInformationIdTypeKey* vtkInformationIdTypeKey::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkInformationIdTypeKey::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObjectBase.

## ◆ MakeKey()

static vtkInformationIdTypeKey* vtkInformationIdTypeKey::MakeKey | ( | const char * | name,
|  | const char * | location
| ) |  |
| inlinestatic

This method simply returns a new vtkInformationIdTypeKey, given a name and a location.

This method is provided for wrappers. Use the constructor directly from C++ instead.

Definition at line 45 of file vtkInformationIdTypeKey.h.

## ◆ Set()

void vtkInformationIdTypeKey::Set | ( | vtkInformation * | info,
|  | vtkIdType |
| ) |  |

Get/Set the value associated with this key in the given information object.

## ◆ Get()

vtkIdType vtkInformationIdTypeKey::Get | ( | vtkInformation * | info | ) |

## ◆ ShallowCopy()

void vtkInformationIdTypeKey::ShallowCopy | ( | vtkInformation * | from,
|  | vtkInformation * | to
| ) |  |
| overridevirtual

Copy the entry associated with this key from one information object to another.

If there is no entry in the first information object for this key, the value is removed from the second.

Implements vtkInformationKey.

## ◆ Print()

void vtkInformationIdTypeKey::Print | ( | ostream & | os,
|  | vtkInformation * | info
| ) |  |
| overridevirtual

Print the key's value in an information object to a stream.

Reimplemented from vtkInformationKey.

## ◆ GetWatchAddress()

vtkIdType* vtkInformationIdTypeKey::GetWatchAddress | ( | vtkInformation * | info | ) |
| protected

Get the address at which the actual value is stored.

This is meant for use from a debugger to add watches and is therefore not a public method.

The documentation for this class was generated from the following file:

- Common/Core/vtkInformationIdTypeKey.h